%define module	dateutil

Name:		python-%{module}
Summary:	Provides powerful extensions to the standard datetime module
Version:	2.1
Release:	%mkrel 2
License:	Python
Group:		Development/Python
URL:		https://pypi.python.org/pypi/python-dateutil/
Source0:	http://pypi.python.org/packages/source/p/python-%{module}/python-%{module}-%{version}.tar.xz
Patch0:		python3-%{module}-utf8.patch
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
Requires:		python
BuildArch:		noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-six
BuildRequires:	python-six

%description
The dateutil module provides powerful extensions to the standard
datetime module available in Python. Features include:

* Computing of relative deltas (next month, next year, next monday,
  last week of month, etc);
* Computing of relative deltas between two given date and/or datetime
  objects;
* Computing of dates based on very flexible recurrence rules, using a
  superset of the iCalendar specification. Parsing of RFC strings is
  supported as well;
* Generic parsing of dates in almost any string format;
* Timezone (tzinfo) implementations for tzfile(5) format files
  (/etc/localtime, /usr/share/zoneinfo, etc), TZ environment string
  (in all known formats), iCalendar format files, given ranges (with
  help from relative deltas), local machine timezone, fixed offset
  timezone, UTC timezone, and Windows registry-based time zones;
* Internal up-to-date world timezone information based on Olson's
  database;
* Computing of Easter Sunday dates for any given year, using Western,
  Orthodox or Julian algorithms;
* More than 400 test cases.

%package -n python3-%{module}
Group:		Development/Python
Summary:	Provides powerful extensions to the standard datetime module

%description -n python3-%{module}
The dateutil module provides powerful extensions to the standard
datetime module available in Python3.

%prep
%setup -q
iconv --from=ISO-8859-1 --to=UTF-8 NEWS > NEWS.new
mv NEWS.new NEWS
rm -rf %{py3dir} 
cp -a . %{py3dir}
pushd %{py3dir}
%patch0 -p1
popd 

%build

%install
pushd %{py3dir}
%{__python3} setup.py install --root=%{buildroot}
popd

%{__python} setup.py install --root=%{buildroot}

%files
%doc LICENSE README NEWS
%{py_puresitedir}/%{module}
%{py_puresitedir}/python_%{module}-%{version}-py%{pyver}.egg-info

%files -n python3-%{module}
%doc LICENSE README NEWS
%{python3_sitelib}/%{module}
%{python3_sitelib}/python_%{module}-%{version}-py%{py3ver}.egg-info



%changelog
* Wed Jun 23 2015 gseaman <galen.seaman at comcast.net> 2.1-2gseaman2015
- rebase on Mageia to add python3 support
